"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generate = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const run_tasks_1 = require("./run-tasks");
const run_prompts_1 = require("./tasks/run-prompts");
const defaultTemplatesPath = '.wuf/generator/templates';
const generate = (opts) => {
    try {
        require(path_1.default.join(opts._process.cwd, 'package.json'));
    }
    catch (e) {
        return Promise.reject('ERROR: `wuf generate` must be run at root of the module (where package.json exists).');
    }
    const options = Object.assign({ 
        // componentName variable comes in as camelCase but its value is PascalCase, therefore we rename it
        ComponentName: opts.componentName, templates: path_1.default.join(opts._process.cwd, opts.templates || defaultTemplatesPath), codemods: opts.codemods ? path_1.default.join(opts._process.cwd, opts.codemods) : '', output: opts.output ? path_1.default.join(opts._process.cwd, opts.output) : '' }, opts);
    if (options.ComponentName) {
        return (0, run_tasks_1.runTasks)(options);
    }
    return (0, run_prompts_1.runPrompts)().then((answers) => (0, run_tasks_1.runTasks)(Object.assign(Object.assign({}, options), answers)));
};
exports.generate = generate;
//# sourceMappingURL=index.js.map