"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runPrompts = void 0;
const tslib_1 = require("tslib");
const prompts_1 = tslib_1.__importDefault(require("prompts"));
const utils_1 = require("../utils");
const logger = tslib_1.__importStar(require("../../../logger"));
const runPrompts = () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    let promptAborted = false;
    const questions = [
        {
            type: 'text',
            name: 'ComponentName',
            message: 'Component name (PascalCase)',
            validate: (value) => {
                if (!value.length) {
                    return 'Please supply a component name';
                }
                if (!(0, utils_1.isPascalCase)(value)) {
                    return 'Component name must be in PascalCase';
                }
                return true;
            },
        },
        {
            type: 'text',
            name: 'description',
            message: 'Description',
        },
    ];
    const handlers = {
        onCancel: () => {
            promptAborted = true;
        },
    };
    const answers = yield (0, prompts_1.default)(questions, handlers);
    if (promptAborted) {
        logger.divider();
        logger.error('Aborted.');
        process.exit(1);
    }
    return answers;
});
exports.runPrompts = runPrompts;
//# sourceMappingURL=run-prompts.js.map