"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifyWorkingDirectory = exports.errorMessage = void 0;
const tslib_1 = require("tslib");
const logger = tslib_1.__importStar(require("../../../logger"));
const utils = tslib_1.__importStar(require("../utils"));
exports.errorMessage = 'Git working directory is dirty!\nCommit or stash your changes, or run the generator with the --force flag';
const verifyWorkingDirectory = ({ cwd }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    if (!(yield utils.isGitRepoClean(cwd))) {
        logger.divider();
        logger.divider();
        logger.error(exports.errorMessage);
        logger.divider();
        process.exit(1);
    }
});
exports.verifyWorkingDirectory = verifyWorkingDirectory;
//# sourceMappingURL=verify-working-directory.js.map