"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pascalToKebab = exports.pascalToCamel = exports.isPascalCase = exports.isGitRepoClean = void 0;
const tslib_1 = require("tslib");
const simple_git_1 = tslib_1.__importDefault(require("simple-git"));
const isGitRepoClean = (cwd) => new Promise((resolve) => {
    (0, simple_git_1.default)(cwd).status((err, status) => {
        resolve(status.isClean());
    });
});
exports.isGitRepoClean = isGitRepoClean;
const isPascalCase = (value) => /^([A-Z][a-z]*)+$/.test(value);
exports.isPascalCase = isPascalCase;
// HelloWorld -> helloWorld
const pascalToCamel = (str) => str.replace(/^./, (match) => match.toLowerCase());
exports.pascalToCamel = pascalToCamel;
// HelloWorld -> hello-world
const pascalToKebab = (str) => (0, exports.pascalToCamel)(str).replace(/[A-Z]/g, (match) => `-${match.toLowerCase()}`);
exports.pascalToKebab = pascalToKebab;
//# sourceMappingURL=utils.js.map