"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const gather_all_1 = tslib_1.__importDefault(require("react-autodocs-utils/src/gather-all"));
const resolve_require_1 = require("../../../resolve-require");
exports.default = ({ components }, { cwd }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const componentsWithProps = yield components.reduce((promise, component) => promise.then((accumulator) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        try {
            const componentPath = yield (0, resolve_require_1.resolveRequire)(path_1.default.join(cwd, component.path, component.name));
            return [
                ...accumulator,
                Object.assign(Object.assign({}, component), (yield (0, gather_all_1.default)(componentPath))),
            ];
        }
        catch (e) {
            console.warn(`Unable to parse component ${component.name}`, e);
            return promise;
        }
    })), Promise.resolve([]));
    return {
        components: componentsWithProps,
    };
});
//# sourceMappingURL=include-metadata.js.map