"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cli = void 0;
const commander_1 = require("commander");
const generate_1 = require("./cli-commands/generate");
const cli_1 = require("./cli-commands/generate/cli");
const export_testkits_1 = require("./cli-commands/export-testkits");
const cli_2 = require("./cli-commands/export-testkits/cli");
const update_1 = require("./cli-commands/update");
const cli_3 = require("./cli-commands/update/cli");
const make_1 = require("./cli-commands/make");
const cli_4 = require("./cli-commands/make/cli");
const extendOptions = (options) => (Object.assign(Object.assign({}, options), { _process: {
        cwd: process.cwd(),
    } }));
const cli = ({ version }) => {
    const program = new commander_1.Command();
    program.name('wuf').version(version, '-v, --version');
    const run = (action) => (options) => {
        action(extendOptions(options)).catch(console.error);
    };
    (0, cli_1.cli)(program).action(run(generate_1.generate));
    (0, cli_2.cli)(program).action(run(export_testkits_1.exportTestkits));
    (0, cli_3.cli)(program).action(run(update_1.update));
    (0, cli_4.cli)(program).action(run(make_1.make));
    if (!process.argv.slice(2).length) {
        program.help();
    }
    program.parse(process.argv);
};
exports.cli = cli;
//# sourceMappingURL=cli.js.map