export declare const enum ErrorKind {
    UserError = "UserError",
    SystemError = "SystemError"
}
export declare class WufError<Info> extends Error {
    readonly info: Record<string, Info>;
    readonly kind: ErrorKind;
    constructor(options: {
        name: string;
        kind: ErrorKind;
        message: string;
        error?: Error | unknown;
        info?: Record<string, Info>;
    });
}
export declare const resolveOrThrow: <T>(fn: () => T, error: (e: Error | unknown) => Error) => T;
