"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveOrThrow = exports.WufError = void 0;
class WufError extends Error {
    constructor(options) {
        var _a, _b;
        const stack = (_b = (_a = options === null || options === void 0 ? void 0 : options.error) === null || _a === void 0 ? void 0 : _a.stack) !== null && _b !== void 0 ? _b : '';
        super(`WUF ${options.kind} ${options.name}: ${options.message}${options.error ? `\n${stack}` : ''}`);
        this.info = options.info;
        this.name = options.name;
        this.kind = options.kind;
    }
}
exports.WufError = WufError;
const resolveOrThrow = (fn, error) => {
    try {
        return fn();
    }
    catch (e) {
        throw error(e);
    }
};
exports.resolveOrThrow = resolveOrThrow;
//# sourceMappingURL=errors.js.map