"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fsToJson = void 0;
const tslib_1 = require("tslib");
const promises_1 = tslib_1.__importDefault(require("fs/promises"));
const path_1 = require("path");
const minimatch_1 = tslib_1.__importDefault(require("minimatch"));
const file_exists_1 = require("../file-exists");
const fsToJson = ({ cwd, path, withContent = false, exclude = [], }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const realPath = (0, path_1.resolve)(cwd, path);
    if (!(yield (0, file_exists_1.fileExists)(realPath))) {
        throw new Error(`ERROR: File does not exist at ${realPath}`);
    }
    const recursion = ({ entries, entryCwd }) => entries.reduce((accPromise, entry) => accPromise.then((acc) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const entryPath = (0, path_1.resolve)(entryCwd, entry);
        if (exclude.some((glob) => (0, minimatch_1.default)(entryPath, glob, { matchBase: true }))) {
            return acc;
        }
        const entryStats = yield promises_1.default.stat(entryPath);
        return entryStats.isDirectory()
            ? Object.assign(Object.assign({}, acc), { [entry]: yield recursion({
                    entries: yield promises_1.default.readdir(entryPath),
                    entryCwd: entryPath,
                }) }) : Object.assign(Object.assign({}, acc), { [entry]: withContent
                ? yield promises_1.default.readFile(entryPath, 'utf8')
                : '' });
    })), Promise.resolve({}));
    return recursion({
        entries: yield promises_1.default.readdir((0, path_1.resolve)(cwd, path)),
        entryCwd: cwd,
    });
});
exports.fsToJson = fsToJson;
//# sourceMappingURL=index.js.map