"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChangedFiles = void 0;
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const child_process_1 = require("child_process");
const getChangedFiles = ({ cwd }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    const exec = (cmd) => (0, child_process_1.execSync)(cmd, { encoding: 'utf8', cwd });
    let isGitRepo = false;
    let gitRootPath = cwd;
    try {
        isGitRepo =
            exec('git rev-parse --is-inside-work-tree 2> /dev/null').trim() ===
                'true';
        gitRootPath = exec('git rev-parse --show-toplevel').trim();
    }
    catch (e) {
        //
    }
    if (!isGitRepo) {
        throw new Error('wuf must be used inside a git repository');
    }
    const output = (0, child_process_1.execSync)('git diff master --name-only', {
        encoding: 'utf8',
        cwd,
    });
    const files = output
        .trim()
        .split('\n')
        .filter(Boolean)
        .map((p) => path_1.default.resolve(gitRootPath, p));
    return files;
});
exports.getChangedFiles = getChangedFiles;
//# sourceMappingURL=index.js.map